%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif
# Until python3-django is packaged:
%global with_python3 0

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

%global pkgname django-mailman3

Name:		python-%{pkgname}
Version:	1.0.0
Release:	1%{?dist}
Summary:	Django library to help interaction with Mailman

Group:		Development/Libraries
License:	GPLv3+
URL:		https://gitlab.com/mailman/django-mailman3
Source0:	https://files.pythonhosted.org/packages/90/17/037a6708f28441dfec7b2feb55ebbb0d5eaf273caafe3d1fbb904fae24e4/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:	python-django
BuildRequires:	python-mock
BuildRequires:	python-mailman-client
BuildRequires:	python-django-allauth

Requires:       python-django >= 1.8
Requires:       python-mailman-client
Requires:       python-django-allauth

%description
This package contains libraries and templates for
Django-based interfaces interacting with Mailman.

To use this application, add it to the ``INSTALLED_APPS`` list in your Django
server's settings file.


%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{pkgname}
Summary:	    Django library to help interaction with Mailman
Group:          Development/Libraries

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-django >= 1.8
BuildRequires:  python%{python3_pkgversion}-mock
BuildRequires:  python%{python3_pkgversion}-mailman-client
BuildRequires:  python%{python3_pkgversion}-django-allauth

Requires:       python%{python3_pkgversion}-django >= 1.8
Requires:       python%{python3_pkgversion}-openid >= 3.0.8
Requires:       python%{python3_pkgversion}-requests >= 1.0.3
Requires:       python%{python3_pkgversion}-requests-oauthlib >= 0.3.0

%description -n python%{python3_pkgversion}-%{pkgname}
This package contains libraries and templates for
Django-based interfaces interacting with Mailman.

To use this application, add it to the ``INSTALLED_APPS`` list in your Django
server's settings file.
%endif # with_python3


%prep
%setup -q -n %{pkgname}-%{version}

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%check
%{__python2} %{_bindir}/django-admin test --pythonpath=. --settings=django_mailman3.tests.settings_test django_mailman3
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} %{_bindir}/django-admin test --pythonpath=. --settings=django_mailman3.tests.settings_test django_mailman3
%endif # with_python3


%files
%doc README.rst
%{python2_sitelib}/django_mailman3
%{python2_sitelib}/django_mailman3-%{version}-py*.egg-info


%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{pkgname}
%doc README.rst
%{python3_sitelib}/django_mailman3
%{python3_sitelib}/django_mailman3-%{version}-py*.egg-info
%endif # with_python3



%changelog
* Mon Aug 08 2016 Aurelien Bompard <abompard@fedoraproject.org> - 1.0.0-1
- initial package

